io.vertx.ext.json.schema.common

## Class BaseSyncValidator

- java.lang.Object
- - io.vertx.ext.json.schema.common.BaseSyncValidator

- All Implemented Interfaces:
    PriorityGetter, SyncValidator, Validator
  Direct Known Subclasses:
    ConstValidatorFactory.ConstValidator, EnumValidatorFactory.EnumValidator, ExclusiveMaximumValidator, ExclusiveMinimumValidator, MaximumValidator, MaxItemsValidatorFactory.MaxItemsValidator, MaxLengthValidatorFactory.MaxLengthValidator, MaxPropertiesValidatorFactory.MaxPropertiesValidator, MinimumValidator, MinItemsValidatorFactory.MinItemsValidator, MinLengthValidatorFactory.MinLengthValidator, MinPropertiesValidatorFactory.MinPropertiesValidator, PatternValidatorFactory.PatternValidator, RequiredValidatorFactory.RequiredValidator

      public abstract class BaseSyncValidator
      extends Object
      implements SyncValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseSyncValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatorPriority` | `getPriority()` Returns the priority
    `boolean` | `isSync()` Returns true if this validator can actually provide a synchronous validation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.json.schema.common.SyncValidator

      `validateSync`

- - ### Constructor Detail

    - #### BaseSyncValidator

          public BaseSyncValidator()

  - ### Method Detail

    - #### isSync

          public boolean isSync()

      Description copied from interface: `Validator`
      Returns true if this validator can actually provide a synchronous validation
      Specified by:
        `isSync` in interface `Validator`
      Returns:

    - #### getPriority

          public ValidatorPriority getPriority()

      Description copied from interface: `PriorityGetter`
      Returns the priority
      Specified by:
        `getPriority` in interface `PriorityGetter`
      Returns:

Copyright © 2020 Eclipse. All rights reserved.